Subject: Re: [netlmm] Consensus call: PMIP6 IPv4 support change
From: "Laganier, Julien" <[email-masked]>
To: Ahmad Muhanna <[email-masked]>, "Soininen, Jonne (NSN - FI/Espoo)" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Pasi Eronen <[email-masked]>
Date: Mon, 25 Jan 2010 11:30:45 -0800
List-Id: NETLMM working group discussion list <netlmm.ietf.org>

Hello Ahmad,

If there's no NAT and no UDP encapsulation, you can terminate IPsec earlier than the MAG and LMA by using regular IPsec tunnel mode between two security gateways. The artificial UDP-encapsulation is something different.

If IPsec tunnel mode is what we're after, let's do it. 

--julien
 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Ahmad Muhanna
> Sent: Friday, January 22, 2010 11:49 PM
> To: Laganier, Julien; Soininen, Jonne (NSN - FI/Espoo); [email-masked]
> Cc: Pasi Eronen
> Subject: Re: [netlmm] Consensus call: PMIP6 IPv4 support change
> 
> Hello Julien,
> I am glad that we are on the same boat, even if only partially:-)
> 
> As far as data path when IPsec is not used and no NAT, IPv6-in-IPv4
> works just fine and I guess that inline of what you prefer. On the
> other hand, as you know, MIP6 was designed with IPv6 transport in mind.
> I understand that DSMIP6 described how to use MIP6 signaling over IPv4
> transport but with a lot of pain. I still remember the discussion:-)
> 
> I look at the proposed changes as a nice enhancement to enable PMIP6
> signaling over IPv4 transport smoothly while enabling the option of
> having IPsec terminates at another box. Nice and clean.
> 
> Additionally, we just agreed that there are few differences between
> DSMIP6 and PMIP6. I do not see a problem in PMIP6 differs in this piece
> too.
> 
> Best Regards,
> Ahmad
> ________________________________________
> From: Laganier, Julien [[email-masked]]
> Sent: Friday, January 22, 2010 12:02 PM
> To: Ahmad Muhanna; Soininen, Jonne (NSN - FI/Espoo); [email-masked]
> Cc: Pasi Eronen
> Subject: RE: [netlmm] Consensus call: PMIP6 IPv4 support change
> 
> Hello Ahmad,
> 
> Good to see I'm not the only one that consistently opposed introduction
> of NAT detection and traversal to this spec.
> 
> I however do not support the proposed change. I believe we shouldn't
> encapsulate anything if we do not need to traverse NATs.
> 
> --julien
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On
> > Behalf Of Ahmad Muhanna
> > Sent: Thursday, January 21, 2010 3:20 PM
> > To: Soininen, Jonne (NSN - FI/Espoo); [email-masked]
> > Cc: Pasi Eronen
> > Subject: Re: [netlmm] Consensus call: PMIP6 IPv4 support change
> >
> > Hello Folks,
> >
> > I believe I have been consistent of NOT supporting a MAG behind a NAT
> > and the proposed changes are inline of what I have been saying all
> > along:-)
> >
> > On the other hand, I very well understand NAT detection functionality
> > in the case of DSMIP6 since we are talking about a Mobile node that
> is
> > most probably not aware of the network configuration. However, in the
> > case of PMIP6, I hardly can imagine that a deployment wont know if a
> > MAG is behind a NAT or NOT! while the MAG itself needs to be aware of
> > many other things before being able to send a PBU to a specific LMA.
> > For example, the MAG and the LMA needs to be in the same PMIP6 domain,
> > there should be a trust relationship between the MAG and the LMA,
> there
> > needs to be a SA between the two, and most difinetely a SLA of some
> > kind, etc......
> >
> > Because of that, I strongly believe that the current flags and design
> > will allow the MAG within the definition of PMIP6 domain to know if
> > IPv4-UDP is needed because of a NAT presence or NOT. IMO, this means
> > NAT detection is not necessary for PMIP6 while it is essential in
> > DSMIP6.
> >
> > On the other hand, I would like to add another minor comment that
> > requires a correction to the list of comments I posted on Dec. 3rd,
> > 2009:
> >
> > Sections 4.3.1 and 4.3.2 use the term Proxy-CoA_1 and LMAA_1. My
> > understanding these terms refer to the respected IPv6 addresses. They
> > need to be replaced by: IPv4-Proxy-CoA_1 and IPv4-LMAA_1,
> respectively.
> >
> >
> > Having said the above, I would like to support the proposed changes.
> >
> >
> > Best Regards,
> > Ahmad
> > ________________________________________
> > From: [email-masked] [[email-masked]] On Behalf Of
> > Soininen, Jonne (NSN - FI/Espoo) [[email-masked]]
> > Sent: Friday, January 15, 2010 7:41 AM
> > To: [email-masked]
> > Cc: Pasi Eronen
> > Subject: [netlmm] Consensus call: PMIP6 IPv4 support change
> >
> > Hello,
> >
> > This is an "official" consensus call on the proposed changes
> documented
> > at
> > http://www.arkko.com/ietf/netlmm/draft-ietf-netlmm-pmip6-ipv4-
> support-
> > 18a-pa
> > si-jikv3.txt.
> >
> > Please, indicate if if you are in favor, or against the proposed
> change,
> > and
> > the reason for your position.
> >
> > Consensus call: PMIP6 IPv4 support change
> > Start: Now
> > End: January 29th, 2009 EOB Pacific time.
> >
> > Cheers,
> >
> > Jonne.
> > --
> > Jonne Soininen
> > Nokia Siemens Networks
> >
> > Tel: +358 40 527 46 34
> > E-mail: [email-masked]
> >
> >
> > _______________________________________________
> > netlmm mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/netlmm
> > _______________________________________________
> > netlmm mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/netlmm
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netlmm